name: vbvs_app
description: "智慧睡眠APP"
publish_to: 'none' # Remove this line if you wish to publish to pub.dev


version: 1.0.0+1

environment:
  sdk: ^3.5.4

dependencies:
  qr_flutter: ^4.1.0
  flutter:
    sdk: flutter
  ef:
    git:
      url: http://admin@git.real.he-info.cn:8080/r/ef.git
      ref: main  
  get_storage: ^2.1.1    
  cupertino_icons: ^1.0.8
  flutter_svg: ^2.0.10+1
  EasyDartModule:
    git:
      url: http://git.real.he-info.cn:8080/r/~qmqz/EasyDartModule.git
      ref: master
  flutter_localization: ^0.3.1   
  syncfusion_localizations: ^27.2.5 
  flutterflow_ui:
    git:
      url: http://admin@git.real.he-info.cn:8080/r/~lu/flutterflow-ui.git
      ref: master
  lottie: ^3.2.0
  flutter_blue_plus: ^1.35.3
  permission_handler: ^12.0.0+1
  loading_indicator: ^3.1.1
  # geolocator: ^13.0.4
  easydevice:
    path: C:\Users\wyf\Desktop\blue\easydevice
      # url: http:///enchantedwyf@git.it.real.he-info.cn:90/r/easydevice.git
      # ref: main
  localstorage: ^5.0.0
  img_picker: ^1.0.2
  uuid: ^4.5.1
  mobile_scanner: ^6.0.10
  # flutter_barcode_scanner: ^2.0.0
  flutter_inappwebview: ^6.1.5
  fluwx: ^5.5.2
  connectivity_plus: ^6.1.4
  google_sign_in: ^6.2.1
  path: ^1.8.0
  flutter_pdfview: ^1.4.0+1

  
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  build_runner: ^2.4.6
  json_serializable: ^6.8.0

dependency_overrides:
  http_parser: ^4.1.0
  collection: ^1.19.0
  data_table_2: 2.5.16   # 2.5.17版本以后会报错,data_table_2.dart:525:47: Error:The method 'withValues' isn't defined ffor the class 'Color'
  flutter_blue_plus: 1.34.5 # 1.35.0 版本android连接蓝牙有问题


flutter:
  uses-material-design: true
  assets:
    - assets/langs/
    - assets/images/
    - assets/images/toast/
    - assets/img/
    - assets/img/menu/
    - assets/img/icon/
  fonts:
    - family: calculatrix
      fonts:
        - asset: assets/fonts/calculatrix.ttf

